Bug 735837 - nautilus throw warnings when it is started with sudo from console
Summary: nautilus throw warnings when it is started with sudo from console
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 15
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Tomáš Bžatek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-05 16:40 UTC by melchiaros
Modified: 2015-03-03 23:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 18:52:10 UTC


Attachments (Terms of Use)
nautilus - gtk warnings (8.26 KB, text/plain)
2011-09-05 16:40 UTC, melchiaros
no flags Details

Description melchiaros 2011-09-05 16:40:44 UTC
Created attachment 521520 [details]
nautilus - gtk warnings

Description of problem:
There are some warning when I use nautilus as superuser.
I´ve started it from console. I attach the output.
There are no problems in usability.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.open console 
2.sudo nautilus
3.See a long list of warnings on console
  
Actual results:


Expected results:


Additional info:

Comment 1 melchiaros 2011-09-05 16:41:38 UTC
The used packeges from fedora 15 update:

[user@localhost ~]$ rpm -qa | grep kernel
abrt-addon-kerneloops-2.0.3-1.fc15.x86_64
kernel-2.6.38.6-26.rc1.fc15.x86_64
kernel-headers-2.6.40.3-0.fc15.x86_64
kernel-2.6.40.3-0.fc15.x86_64
[user@localhost ~]$ rpm -qa | grep nautilus
nautilus-sendto-3.0.0-1.fc15.x86_64
nautilus-extensions-3.0.2-1.fc15.x86_64
gnome-disk-utility-nautilus-3.0.0-2.fc15.x86_64
nautilus-3.0.2-1.fc15.x86_64
evince-nautilus-3.0.2-1.fc15.x86_64
file-roller-nautilus-3.0.2-1.fc15.x86_64
totem-nautilus-3.0.1-2.fc15.x86_64
brasero-nautilus-3.0.0-2.fc15.x86_64
[user@localhost ~]$ rpm -qa | grep bash
bash-4.2.10-4.fc15.x86_64
[user@localhost ~]$

Comment 2 Tomáš Bžatek 2011-09-05 17:15:40 UTC
I'd say those messages are harmless. Running Gnome applications outside of current running session (that means su, sudo, ssh -X etc.) is not supported anyway, lots of things are not working and errors messages may show up.

Comment 3 melchiaros 2011-09-05 17:28:07 UTC
Yes, as wrote there are no usability issues.

But may be you can use it for improvement or next version development. -> That was intended.

Comment 4 Tomáš Bžatek 2011-09-06 09:50:25 UTC
I don't think anybody would be concerned to fix it, but let's keep this bugreport open. Patch would be welcomed, of course.

Comment 5 Fedora End Of Life 2012-08-07 18:52:12 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.